import { Position, TextDocument, Hover, Diagnostic, CompletionList } from 'vscode-languageserver-types';
import { WXMLDocument } from './parser/wxmlParser';
import { WXMLConfig } from './wxmlLanguageTypes';
export interface Manager {
    getWxmlDocument(document: TextDocument): WXMLDocument;
    parse(document: TextDocument): WXMLDocument;
    removeDocument(uri: string): void;
    doDiagnostic(document: TextDocument): Diagnostic[];
    doHover(document: TextDocument, position: Position): Hover | null;
    doComplete(document: TextDocument, position: Position): CompletionList;
    setConfig(obj: WXMLConfig): void;
}
export declare function getManager(): Manager;
