import { ErrorItem } from '../wxmlLanguageTypes';
export interface WXMLDocument {
    roots: Node[];
    errors: ErrorItem[];
    findNodeBefore(offset: number): Node;
    findNodeAt(offset: number): Node;
}
export declare class Node {
    start: number;
    end: number;
    children: Node[];
    parent?: Node | undefined;
    tag: string | undefined;
    closed: boolean;
    endTagStart: number | undefined;
    attributes: {
        [name: string]: string | null;
    } | undefined;
    textContents: string[];
    readonly attributeNames: string[];
    constructor(start: number, end: number, children: Node[], parent?: Node | undefined);
    isSameTag(tagInLowerCase: string): boolean;
    getAttributeAtOffset(offset: number): string | null;
    getAttributeOffsets(name: string): number[];
    getDuplicatedAttrs(): string[];
    getValueOffset(attributeName: string): number | null;
    getAttributeValue(attributeName: string): string | null;
    readonly isEmpty: boolean;
    readonly firstChild: Node | undefined;
    readonly lastChild: Node | undefined;
    findNodeBefore(offset: number): Node;
    findNodeAt(offset: number): Node;
}
export declare function parse(text: string): WXMLDocument;
