export declare const EMPTY_ELEMENTS: string[];
export declare function isEmptyElement(e: string): boolean;
export interface IWXMLTagProvider {
    getId(): string;
    isApplicable(languageId: string): boolean;
    collectTags(collector: (tag: string, info?: WXMLTagSpecification) => void): void;
    collectAttributes(tag: string, collector: (attribute: string, type?: string, info?: WXMLAttribute) => void): void;
    collectValues(tag: string, attribute: string, collector: (value: string, info?: EnumItem) => void): void;
}
export interface ITagSet {
    [tag: string]: WXMLTagSpecification;
}
export interface EnumItem {
    value: string;
    desc?: string;
    since?: string;
}
export interface WXMLAttribute {
    name: string;
    type: {
        name: string;
    };
    enum?: EnumItem[];
    desc?: string[];
    defaultValue?: string;
    since?: string;
    subAttrs?: SubAttribute[];
}
export interface SubAttribute {
    equal: string;
    attrs: WXMLAttribute[];
}
export declare class WXMLTagSpecification {
    name: string;
    desc?: string[];
    attrs: WXMLAttribute[];
    tips?: string[];
    demoImages?: string[];
    docLink?: string;
    subAttr?: boolean;
    [index: string]: any;
    constructor(config: WXMLTagSpecification);
}
export interface WXMLTagSpecification {
}
export declare function isSubAttrTag(tag: string): boolean;
export declare const WXML_TAGS: ITagSet;
export declare function getWXMLTagProvider(): IWXMLTagProvider;
