import { TextDocument, Position, CompletionList, Hover, Diagnostic } from 'vscode-languageserver-types';
import { Scanner } from './wxmlLanguageTypes';
import { WXMLDocument } from './parser/wxmlParser';
export * from './wxmlLanguageTypes';
export * from 'vscode-languageserver-types';
export { Node, WXMLDocument } from './parser/wxmlParser';
export interface LanguageService {
    createScanner(input: string, initialOffset?: number): Scanner;
    parseWXMLDocument(document: TextDocument): WXMLDocument;
    doComplete(document: TextDocument, position: Position, wxmlDocument: WXMLDocument): CompletionList;
    doHover(document: TextDocument, position: Position, wxmlDocument: WXMLDocument): Hover | null;
    doDiagnostic(document: TextDocument, wxmlDocument: WXMLDocument): Diagnostic[];
}
export declare function getLanguageService(): LanguageService;
